> For the complete documentation index, see [llms.txt](https://developers.innerspace.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.innerspace.io/api-reference-v2/zone_type_insights.md).

# zone\_type\_insights

Refresh Interval: nightly.

Zones, also known as spaces, can be assigned a type - similar to a category.

Fetch metrics for a `zone_type`, where a metric is a measurement or insight with a single result.  Some metrics are a complex measurement or insight, possibly with multiple results.

A set of zone types are calculated together as a whole to represent a floor or building.  Zone types are split into different views of a floor by `zone_type_view`, which represents a set of types

***\<metric\_name>*** would be one or more of the metrics outlined in [Metrics and Features](/metrics-and-features.md)

```graphql
// query
query zone_type_insights(
  $limit: Int,
  $offset: Int,
  $order_by: [zone_metrics_order_by!],
  $where: zone_metrics_bool_exp
) {
  ZONE_TYPE_INSIGHTS(
    limit: $limit,
    offset: $offset,
    order_by: $order_by,
    where: $where
  ) {
    DATE_TIME_START
    BUILDING_ID
    SITE_ID
    GRANULARITY
    ZONE_TYPE
    ZONE_TYPE_VIEW
    GROUP_ID
    <METRIC_NAME>
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.innerspace.io/api-reference-v2/zone_type_insights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
